%define with_test 0

Name:          oauth
Version:       20100601
Release:       %mkrel 2
Summary:       An open protocol to allow API authentication
Group:         Development/Java
License:       ASL 2.0
Url:           http://code.google.com/p/oauth/
# svn export http://oauth.googlecode.com/svn/code/java oauth-20100601
# tar czf oauth-20100601-src-svn.tar.gz oauth-20100601
Source0:       oauth-20100601-src-svn.tar.gz
# javax.servlet servlet-api 2.4
Source1:       oauth-20100601-depmap
Patch0:        oauth-20100601-poms.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: httpcomponents-client
BuildRequires: jakarta-commons-httpclient
BuildRequires: junit
BuildRequires: tomcat-servlet-3.0-api

BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-eclipse-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-source-plugin

# x test
# oauth-httpclient4
# org.mortbay.jetty jetty-embedded 6.1.11

# x oauth-example-desktop
# org.codehaus.mojo appassembler-maven-plugin
# org.mortbay.jetty jetty-embedded 6.1.11
# slf4j

# x oauth-example-provider oauth-example-consumer
# org.mortbay.jetty jetty-maven-plugin

Requires:      httpcomponents-client
Requires:      jakarta-commons-httpclient
Requires:      servletapi5

Requires:      java
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
An open protocol to allow API authentication in a simple and standard method from desktop and web applications.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n oauth-%{version}

for j in $(find -name "*.jar"); do
  rm -rf $j
done

# rm -rf lib/servlet-api-2.5-6.1.11.jar
# rm -rf lib/commons-httpclient-3.1.jar
# rm -rf lib/commons-logging-1.1.jar
# rm -rf lib/junit.jar
# rm -rf lib/jetty-6.1.11.jar
# rm -rf lib/jetty-util-6.1.11.jar

# x jmeter plugin
# rm -rf jmeter/lib/servlet-api-2.5-6.1.11.jar
# rm -rf jmeter/lib/commons-httpclient-3.1.jar
# rm -rf jmeter/lib/commons-logging-1.1.jar
# rm -rf jmeter/lib/junit.jar
# rm -rf jmeter/lib/jetty-6.1.11.jar
# rm -rf jmeter/lib/jetty-util-6.1.11.jar
# rm -rf jmeter/jmeter/lib/jorphan.jar
# rm -rf jmeter/jmeter/lib/ApacheJMeter_http.jar
# rm -rf jmeter/jmeter/lib/ApacheJMeter_core.jar
rm -rf jmeter

%patch0 -p1

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL
mvn-rpmbuild \
%if !%with_test
  -Dmaven.test.skip=true \
%endif
  -Dmaven.local.depmap.file=%{SOURCE1} \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
cp -p core/commons/target/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar
cp -p core/consumer/target/%{name}-consumer-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-consumer.jar
cp -p core/httpclient3/target/%{name}-httpclient3-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-httpclient3.jar
cp -p core/httpclient4/target/%{name}-httpclient4-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-httpclient4.jar
cp -p core/provider/target/%{name}-provider-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-provider.jar

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
install -pm 644 core/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-core-parent.pom
install -pm 644 core/commons/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}.pom
install -pm 644 core/consumer/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-consumer.pom
install -pm 644 core/httpclient3/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-httpclient3.pom
install -pm 644 core/httpclient4/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-httpclient4.pom
install -pm 644 core/provider/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-provider.pom

%add_maven_depmap JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-core-parent.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
%add_maven_depmap JPP-%{name}-consumer.pom %{name}-consumer.jar
%add_maven_depmap JPP-%{name}-httpclient3.pom %{name}-httpclient3.jar
%add_maven_depmap JPP-%{name}-httpclient4.pom %{name}-httpclient4.jar
%add_maven_depmap JPP-%{name}-provider.pom %{name}-provider.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}-consumer.jar
%{_javadir}/%{name}-httpclient3.jar
%{_javadir}/%{name}-httpclient4.jar
%{_javadir}/%{name}-provider.jar
%{_javadir}/%{name}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 20100601-2.mga3
+ Revision: 361092
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jun 24 2012 dmorgan <dmorgan> 20100601-1.mga3
+ Revision: 263254
- Clean spec file

  + gil <gil>
    - imported package oauth

